------------------------------------------------------------------------------------
--Name:  	ValentineDay3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-02-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(133, 154)
CppScriptMgr:SetViewScale(160)
local Player_1 = CppScriptMgr:AddSimplePlayer(1061790, 125, 155, "Odette", 0, 0)
Player_1:SetZoomPercent(180)
Player_1:SetHide(1)
local Player_2 = CppScriptMgr:AddSimplePlayer(1061780, 145, 155, "Leon", 0, 0)
Player_2:SetZoomPercent(180)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("Honorable viewers, the show begins!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2177", 150, 430, "Irwin", 250, 655, false)
CppScriptMgr:WaitMilSec(2990)
Player_2:SetHide(0)
Player_1:WalkTo(132, 155)
Player_1:SetHide(0)
Player_2:WalkTo(132, 155)
CppScriptMgr:WaitMilSec(2900)
CppScriptMgr:NpcCallOut("Beautiful Swan Princess, would you please have a dance with me?", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Leon", 250, 655, false)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(1610)
Player_1:SetAction(230)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:NpcCallOut("Sure, my dear prince!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Odette", 250, 655, false)
CppScriptMgr:WaitMilSec(1980)
Player_1:SetAction(1111)
Player_2:SetAction(1111)
CppScriptMgr:WaitMilSec(6350)